
ctools - Action #844

Feature # 841 (Closed): ctools tutorials and narrative introduction

Convert existing HTML documentation to rst.

04/13/2013 11:17 PM - Knödlseder Jürgen

Status: Closed Start date: 07/10/2014

Priority: High Due date:  

Assigned To: Deil Christoph % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.0.0   

Description

History

#1 - 04/14/2013 05:34 PM - Deil Christoph

- Assigned To set to Deil Christoph

#2 - 11/19/2013 03:21 PM - Knödlseder Jürgen

- Target version deleted (00-06-00)

#3 - 11/19/2013 03:26 PM - Knödlseder Jürgen

- Target version set to 00-07-00

#4 - 01/09/2014 06:11 PM - Knödlseder Jürgen

- % Done changed from 0 to 10

I started the creation of the basic structure. Some of the initial html files are still there, and they should be replaced by rst files:

download.html

installation.html

quickstart.html

Also the reference documentation is still in the html/doc folder, also this should be replaced by appropriate rst files.

Finally, the Latex User Manual in the um folder should be converted into rst. The User Manual does not yet contain much information, but we should

at least copy the current structure so that we can start filling-in information.

Christoph, didn't you have a tool to convert Latex into rst?

#5 - 01/10/2014 08:57 AM - Deil Christoph

I used the pandoc tool (http://johnmacfarlane.net/pandoc/) and then cleaned up the output by hand.

There's some info on the commands I used in #829.

Do you want me to do this?

Did you start in a branch or is all your work in devel?
#6 - 01/10/2014 10:10 AM - Knödlseder Jürgen

- % Done changed from 10 to 50

I finally copied over the stuff by hand as there was not too much ...

#7 - 01/19/2014 02:05 AM - Knödlseder Jürgen

- % Done changed from 50 to 80

Only things that is still missing is the reference documentation.

#8 - 01/19/2014 02:05 AM - Knödlseder Jürgen

- Target version deleted (00-07-00)

#9 - 07/10/2014 11:31 PM - Knödlseder Jürgen

- Status changed from New to In Progress

- Start date set to 07/10/2014

Is this done?

#10 - 07/10/2014 11:32 PM - Knödlseder Jürgen

- Target version set to 3rd coding sprint

#11 - 07/11/2014 09:27 AM - Deil Christoph

Please merge this commit:

https://github.com/cdeil/ctools/compare/ctools:devel...no_tex

There's still a few raw HTML files ... converting those to RST would make maintenance easier:

https://github.com/ctools/ctools/tree/devel/doc/source/fhelp

(we can make them just as nice as they look now)

#12 - 07/11/2014 09:28 AM - Deil Christoph

- Priority changed from Normal to Low

#13 - 10/30/2014 12:25 PM - Knödlseder Jürgen

- Priority changed from Low to High

We should make sure that this is done for the release version 1.0.0.

#14 - 10/30/2014 12:26 PM - Knödlseder Jürgen

- Target version changed from 3rd coding sprint to 1.0.0

#15 - 02/04/2015 12:19 PM - Knödlseder Jürgen

- Status changed from In Progress to Closed

- % Done changed from 80 to 100

- Remaining (hours) set to 0.0

All HTML documents have been converted into .rst.

Powered by TCPDF (www.tcpdf.org)

05/01/2024 2/2

https://github.com/cdeil/ctools/compare/ctools:devel...no_tex
https://github.com/ctools/ctools/tree/devel/doc/source/fhelp
http://www.tcpdf.org

